Name:       iteml
Version:    2.1.0
Release:    %mkrel 1
Summary:    Inline unit test extractor
License:    GPL-3.0
Group:      Development/OCaml
URL:        http://batteries.vhugot.com/qtest/
#Project:   https://github.com/vincent-hugot/iTeML
Source0:    https://github.com/vincent-hugot/iTeML/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-oasis
BuildRequires:  ocaml-ounit-devel
BuildRequires:  hevea
Requires:   ocaml-ounit

%description
qTest2 (aka: iTeML) allows to extract inline unit tests written using a
special syntax in comments. Those tests can then be run using the oUnit
framework.
qTest2 was originally developed for the Batteries library.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   ocaml-ounit-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n iTeML-%{version}

%build
ocaml do.ml qtest build %{buildroot}%{_prefix}

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/QTest2Lib
pushd qtest
ocaml setup.ml -install
popd

%files
%doc README.adoc
%dir %{_libdir}/ocaml/QTest2Lib
%{_bindir}/qtest
%{_libdir}/ocaml/QTest2Lib/META
%{_libdir}/ocaml/QTest2Lib/runner.cmi
%{_libdir}/ocaml/QTest2Lib/quickcheck.cmi
%{_libdir}/ocaml/QTest2Lib/QTest2Lib.cma
%{_libdir}/ocaml/QTest2Lib/QTest2Lib.cmxs

%files devel
%{_libdir}/ocaml/QTest2Lib/QTest2Lib.a
%{_libdir}/ocaml/QTest2Lib/QTest2Lib.cmxa
%{_libdir}/ocaml/QTest2Lib/quickcheck.annot
%{_libdir}/ocaml/QTest2Lib/quickcheck.cmt
%{_libdir}/ocaml/QTest2Lib/quickcheck.cmti
%{_libdir}/ocaml/QTest2Lib/quickcheck.cmx
%{_libdir}/ocaml/QTest2Lib/quickcheck.mli
%{_libdir}/ocaml/QTest2Lib/runner.annot
%{_libdir}/ocaml/QTest2Lib/runner.cmt
%{_libdir}/ocaml/QTest2Lib/runner.cmx
%{_libdir}/ocaml/QTest2Lib/runner.ml


%changelog
* Fri Feb 05 2016 pterjan <pterjan> 2.1.0-1.mga6
+ Revision: 936349
- Update to 2.1.0

* Mon Feb 01 2016 umeabot <umeabot> 2.0.1-6.mga6
+ Revision: 930355
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-5.mga5
+ Revision: 746766
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-4.mga5
+ Revision: 680581
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 538898
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 blue_prawn <blue_prawn> 2.0.1-2.mga4
+ Revision: 490905
- build requires hevea
- the build requires ocaml-ounit-devel
- rebuild for ocaml-4.01.0 (and added documentation)
- imported package iteml

